--- create-table-custom-crm-ids
create table custom_crm_ids (
    id bigserial primary key,
    user_id bigint not null references users(id),
    project_id bigint not null references projects(id),
    custom_crm_id varchar(255) 
);

create unique index custom_crm_ids_user_id_project_id_uindex
    on custom_crm_ids (user_id, project_id);